#ifndef LINKEDHASHMAP_HPP_INCLUDED
#define LINKEDHASHMAP_HPP_INCLUDED

#include "Object.hpp"

namespace Internal
{
    class LinkedHashMap : public Object
    {
        public:
            LinkedHashMap(const void* Obj);

            LinkedHashMap() = default;
            LinkedHashMap(LinkedHashMap&& Obj) = default;
            LinkedHashMap(const LinkedHashMap& Obj) = default;
            LinkedHashMap& operator=(LinkedHashMap&& Obj) = default;
            LinkedHashMap& operator=(const LinkedHashMap& Obj) = default;

            Object GetValue(Object Key) const;
    };
}

#endif // LINKEDHASHMAP_HPP_INCLUDED
